Subject: Re: Problem compiling Perl Tk800.024
From: "Dr. Volker Zell" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Mar 2003 11:03:03 +0100

>>>>> "Gerrit" == Gerrit P Haase <[email-masked]> writes:

    Gerrit> Hallo Dr. Zell,
    >> By the way I'm using perl-5.8.0. (Does anyone know why
    >> all the man pages and perl scripts in /bin have CRLF's ?)

    Gerrit> You're the first to report this, I'll take a look ASAP, if
    Gerrit> there are CRLF's, then this is a bug.

I found out during the switch from my "home compiled 5.6.0" perl to your version.
I recompiled a couple of modules which I used, with your current perl version under
cpan and installed them smoothly. Then I compiled DBI:DBD in a plain shell without
using cpan and realized that all perl generated files (scripts, man pages and even the
Makefile) had CRLF's.
After a little bit of reading docu I found the culprit of being
PERLIO=perlio
in the cpan script.

Now I have PERLIO=raw in my general environment and it seems that all perl generated
files now have LF's again (I hate CRLF's).

Just by chance I looked at the scripts and man pages from your perl-5.8.0 distro and
voila they also have CRLF's although a perl -V suggests that you have used PERLIO=raw
during buidling.

Hmmmmmmmmmmhhh ?

Summary of my perl5 (revision 5.0 version 8 subversion 0) configuration:

<<< snip >>>

Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY USE_64_BIT_INT USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
  Built under cygwin
  Compiled at Jul 24 2002 18:47:09
  %ENV:
    PERLIO="raw"
    CYGWIN="binmode title ntsec"
  @INC:
    /usr/lib/perl5/5.8.0/cygwin-multi-64int
    /usr/lib/perl5/5.8.0
    /usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int
    /usr/lib/perl5/site_perl/5.8.0
    /usr/lib/perl5/site_perl

Ciao
  Volker

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/